Package net.sf.saxon.expr.flwor

## Class ForClausePush

- java.lang.Object
- - net.sf.saxon.expr.flwor.TuplePush
  - - net.sf.saxon.expr.flwor.ForClausePush

-     public class ForClausePush
      extends TuplePush

  This class implements the changes to the tuple stream effected by a "for" clause in a FLWOR expression

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected TuplePush` | `destination` |
    `protected ForClause` | `forClause` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ForClausePush​(Outputter outputter, TuplePush destination, ForClause forClause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Close the tuple stream, indicating that no more tuples will be supplied
    `void` | `processTuple​(XPathContext context)` | Notify the availability of the next tuple.

    - ### Methods inherited from class net.sf.saxon.expr.flwor.TuplePush

      `getOutputter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### destination

          protected TuplePush destination

    - #### forClause

          protected ForClause forClause

  - ### Constructor Detail

    - #### ForClausePush

          public ForClausePush​(Outputter outputter,
                               TuplePush destination,
                               ForClause forClause)

  - ### Method Detail

    - #### processTuple

          public void processTuple​(XPathContext context)
                            throws XPathException

      Description copied from class: `TuplePush`
      Notify the availability of the next tuple. Before calling this method, the supplier of the tuples must set all the variables corresponding to the supplied tuple in the local stack frame associated with the context object
      Specified by:
        `processTuple` in class `TuplePush`
      Parameters:
        `context` - the dynamic evaluation context
      Throws:
        `XPathException` - if a dynamic error occurs

    - #### close

          public void close()
                     throws XPathException

      Description copied from class: `TuplePush`
      Close the tuple stream, indicating that no more tuples will be supplied
      Overrides:
        `close` in class `TuplePush`
      Throws:
        `XPathException` - if a dynamic error occurs